Next Generation Emulation banner
1 - 10 of 10 Posts

·
Registered
Joined
·
31 Posts
Discussion Starter · #1 ·
ok I know you need to patch ff8 to play it on any emulator well I got all the patches youi can get for ff8 (got most of them at megagames.com) and all but one does not patch it and the one that does patch it just stuffs up at the screen where it says squar usa or what ever
so does anyone know if there is a AUSTRALIAN patch (PAL) that does work??

thanks for your time
Chippy
 
G

·
Okay, I would reccomend going to Aldo Vargas home page www.aldostools.com and see what he has to offer. He has patches for many of the games and he just may have the patch you need. I once tried a Dino Crisis patch from Megagames and it didn't work either. So give Aldo a try and see what you can find. Best of luck.
sincerely,
sx/amiga
 
G

·
Actually Adair, you can as long as you're not giving anyone a link to them. Just stating that you found a patch or tried a patch from there is all right. BTW, I won't go there again. None of their stuff worked for me.
sincerely,
sx/amiga
 

·
Registered
Joined
·
31 Posts
Discussion Starter · #5 ·
ok thanks sxamiga
I went to the site and he did not have a patch for FFVIII but he did have a tool that made VGS work with any FF8 and FF9 (and other games) to work on VGS so I am playing it on vgs so thanks

Chippy
 
1 - 10 of 10 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top